#
# spec file for package jwt_verify_lib
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_install_dir /usr/src/%{name}

Name:           jwt_verify_lib
Version:        20191024
Release:        1.14
Summary:        JSON Web Tokens verification library for C++
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Url:            https://github.com/google/%{name}
Source0:        %{name}-%{version}.tar.xz
Patch0:         jwt_verify-make-compatible-with-openssl.patch
BuildRequires:  fdupes
BuildArch:      noarch

%description
jwt_verify_lib is a library which verifies JSON Web Tokens. It does not provide
any other features like signing or advanced checks.

%package source
Summary:        Source code of jwt_verify_lib
Group:          Development/Sources

%description source
jwt_verify_lib is a library which verifies JSON Web Tokens. It does not provide
any other features like signing or advanced checks.

This package contains source code of jwt_verify_lib.

%prep
%autosetup -p1

%build

%install
mkdir -p %{buildroot}%{src_install_dir}
cp -r * %{buildroot}%{src_install_dir}
%fdupes %{buildroot}%{src_install_dir}

%files source
%license LICENSE
%doc README.md
%{src_install_dir}

%changelog
* Tue Jan 14 2020 mrostecki@opensuse.org
- Update to version 20191024:
  * Add support for ES384 and ES512
  * Add HS384 and HS512 support
  * Clear openssl error queue if HMAC() fails
  * Add HS256 support
- Add source package, remove lib* and devel package - now it's not
  possible to build jwt_verify_lib outside envoy-proxy's source
  tree.
- Remove Maistra sources:
  * jwt-verify-lib-openssl-20190806.tar.xz
- Add patch which adds compatibility with OpenSSL:
  * jwt_verify-make-compatible-with-openssl.patch
* Fri Sep 20 2019 mrostecki@opensuse.org
- Update to version 20190909:
  * bazel: Update protobuf to 3.9.1
  * Fixed code formatting
  * Exposing struct_utils for accessing custom JWT fields
  * Implement RS384/RS512 token verification
  * Add tests for RS384 and RS512 tokens
  * Harden JwkRSA verification code
  * Reduce fuzz truncate case
  * Fix verify_time_test
  * one more uint64
  * one more uint64_t
* Thu Aug  1 2019 mrostecki@opensuse.org
- Use OpenSSL instead of BoringSSL.
- Update to version 20190708:
  * Implement RS384/RS512 token verification
  * Add tests for RS384 and RS512 tokens
  * Harden JwkRSA verification code
  * Reduce fuzz truncate case
  * Fix verify_time_test
  * one more uint64
  * one more uint64_t
  * change to unsigned
  * clean struct_utils
  * clean protobuf binding
  * remove rapidjson
  * fix jwks
  * 3rd draft
  * second draft
  * first draft
  * Clear SSL errors for failed verification
- Remove patch:
  * bazel-unbundle-dependencies.patch
* Tue Jul 23 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Use Bazel0.19 as build fails with latest bazel (0.26)
* Thu Feb 28 2019 Michał Rostecki <mrostecki@opensuse.org>
- Fix build with Bazel 0.22.0.
* Thu Jan 24 2019 Michał Rostecki <mrostecki@suse.de>
- Add soname field to shared library object.
- Disable --strip option in Bazel and let OBS take care of
  stripping.
* Thu Jan 24 2019 Michał Rostecki <mrostecki@suse.de>
- Initial version 20181125
- Add patch to not bundle dependencies as Bazel http_archives, but
  rather link them dynamically.
  * bazel-unbundle-dependencies.patch
